Bug 487597 - "md5" remains in user interface
"md5" remains in user interface
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 16:43 EST by Miloslav Trmač
Modified: 2013-07-02 19:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 08:42:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloslav Trmač 2009-02-26 16:43:57 EST
... which is mostly cosmetic, but someone was already confused by %verify(md5)...

Identified places:
- %verify
- {no,}md5 in rpmdiff and rpmdiff.cgi
- --nomd5 in poptI.c, poptQV.c
- cpio.c: "MD5 sum mismatch"
Comment 1 Jindrich Novy 2009-02-27 08:42:30 EST
Fixed upstream.

--nomd5 is now replaced with --nofiledigest and new %verify(filedigest) is added. All the former md5 stuff like %verify(md5), etc. should go on to be functional. It is obsolete now though.

Note You need to log in before you can comment on or make changes to this bug.